#### D.15.6.20 VarToPar

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  VarToPar(f); f a poly in the basering;

Return:
  type poly; gives back the poly obtained by substituting var(i) by par(i), for all variables. Does only make sense, if the proc <setinitials> is executed before -> nvars <= npars;

Example:

    LIB "finitediff.lib";
    list D="Ut","Ux","Uy","U";
    list V="t","x","y";
    list P="a","b";
    setinitials(V,D,P);////does not show the ring, as there is  no output
    basering;///does show the ring
    ==> // coefficients: QQ(I, T, Px, Py, Cx, Cy, Sx, Sy, a, b, dt, dx, dy) consi\
       dered as a field
    ==> // number of vars : 8
    ==> //        block   1 : ordering c
    ==> //        block   2 : ordering lp
    ==> //                  : names    i t x y cx cy sx sy
    ==> // quotient ring from ideal
    ==> _[1]=cy^2+sy^2-1
    ==> _[2]=cx^2+sx^2-1
    ==> _[3]=i^2+1
    poly f=t**3*cx**2-cy**2*dt+i**3*sx;
    f;
    ==> i^3*sx+t^3*cx^2+(-dt)*cy^2
    VarToPar(f);
    ==> (I^3*Sx+T^3*Cx^2-Cy^2*dt)

User manual for Singular version 4.4.1, 2025, generated by texi2html.